VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::VMTypes::FilterSpec Class Reference

The `VM.FilterSpec` class contains fields used to filter the results when listing virtual machines (see VM.List ). More...

List of all members.

## Public Member Functions
| FilterSpec ()
| Creates a default new instance.
global::System.Collections.Generic.HashSet < string > | GetVms ()
| Identifiers of virtual machines that can match the filter.
void | SetVms (global::System.Collections.Generic.HashSet< string > vms)
| Identifiers of virtual machines that can match the filter.
global::System.Collections.Generic.HashSet < string > | GetNames ()
| Names that virtual machines must have to match the filter (see VM.Info.name ).
void | SetNames (global::System.Collections.Generic.HashSet< string > names)
| Names that virtual machines must have to match the filter (see VM.Info.name ).
global::System.Collections.Generic.HashSet < string > | GetFolders ()
| Folders that must contain the virtual machine for the virtual machine to match the filter.
void | SetFolders (global::System.Collections.Generic.HashSet< string > folders)
| Folders that must contain the virtual machine for the virtual machine to match the filter.
global::System.Collections.Generic.HashSet < string > | GetDatacenters ()
| Datacenters that must contain the virtual machine for the virtual machine to match the filter.
void | SetDatacenters (global::System.Collections.Generic.HashSet< string > datacenters)
| Datacenters that must contain the virtual machine for the virtual machine to match the filter.
global::System.Collections.Generic.HashSet < string > | GetHosts ()
| Hosts that must contain the virtual machine for the virtual machine to match the filter.
void | SetHosts (global::System.Collections.Generic.HashSet< string > hosts)
| Hosts that must contain the virtual machine for the virtual machine to match the filter.
global::System.Collections.Generic.HashSet < string > | GetClusters ()
| Clusters that must contain the virtual machine for the virtual machine to match the filter.
void | SetClusters (global::System.Collections.Generic.HashSet< string > clusters)
| Clusters that must contain the virtual machine for the virtual machine to match the filter.
global::System.Collections.Generic.HashSet < string > | GetResourcePools ()
| Resource pools that must contain the virtual machine for the virtual machine to match the filter.
void | SetResourcePools (global::System.Collections.Generic.HashSet< string > resourcePools)
| Resource pools that must contain the virtual machine for the virtual machine to match the filter.
global::System.Collections.Generic.HashSet < vmware.vcenter.vm.PowerTypes.State > | GetPowerStates ()
| Power states that a virtual machine must be in to match the filter (see vm.Power.Info.state .
void | SetPowerStates (global::System.Collections.Generic.HashSet< vmware.vcenter.vm.PowerTypes.State > powerStates)
| Power states that a virtual machine must be in to match the filter (see vm.Power.Info.state .
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `VM.FilterSpec` class contains fields used to filter the results when listing virtual machines (see VM.List ).

If multiple fields are specified, only virtual machines matching all of the fields match the filter.

## Constructor & Destructor Documentation

vmware::vcenter::VMTypes::FilterSpec::FilterSpec | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::VMTypes::FilterSpec::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::VMTypes::FilterSpec::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::VMTypes::FilterSpec::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::VMTypes::FilterSpec::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::VMTypes::FilterSpec::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::VMTypes::FilterSpec::Equals | ( | object | obj | ) | `[inline]`

global::System.Collections.Generic.HashSet<string> vmware::vcenter::VMTypes::FilterSpec::GetClusters | ( |  | ) | `[inline]`

Clusters that must contain the virtual machine for the virtual machine to match the filter.

When clients pass a value of this class as a parameter, the field must contain identifiers for the resource type: `ClusterComputeResource` . When methods return a value of this class as a result, the field will contain identifiers for the resource type: `ClusterComputeResource` .

global::System.Collections.Generic.HashSet<string> vmware::vcenter::VMTypes::FilterSpec::GetDatacenters | ( |  | ) | `[inline]`

Datacenters that must contain the virtual machine for the virtual machine to match the filter.

When clients pass a value of this class as a parameter, the field must contain identifiers for the resource type: `Datacenter` . When methods return a value of this class as a result, the field will contain identifiers for the resource type: `Datacenter` .

global::System.Collections.Generic.HashSet<string> vmware::vcenter::VMTypes::FilterSpec::GetFolders | ( |  | ) | `[inline]`

Folders that must contain the virtual machine for the virtual machine to match the filter.

When clients pass a value of this class as a parameter, the field must contain identifiers for the resource type: `Folder` . When methods return a value of this class as a result, the field will contain identifiers for the resource type: `Folder` .

override int vmware::vcenter::VMTypes::FilterSpec::GetHashCode | ( |  | ) | `[inline]`

global::System.Collections.Generic.HashSet<string> vmware::vcenter::VMTypes::FilterSpec::GetHosts | ( |  | ) | `[inline]`

Hosts that must contain the virtual machine for the virtual machine to match the filter.

When clients pass a value of this class as a parameter, the field must contain identifiers for the resource type: `HostSystem` . When methods return a value of this class as a result, the field will contain identifiers for the resource type: `HostSystem` .

global::System.Collections.Generic.HashSet<string> vmware::vcenter::VMTypes::FilterSpec::GetNames | ( |  | ) | `[inline]`

Names that virtual machines must have to match the filter (see VM.Info.name ).

global::System.Collections.Generic.HashSet<vmware.vcenter.vm.PowerTypes.State> vmware::vcenter::VMTypes::FilterSpec::GetPowerStates | ( |  | ) | `[inline]`

Power states that a virtual machine must be in to match the filter (see vm.Power.Info.state .

global::System.Collections.Generic.HashSet<string> vmware::vcenter::VMTypes::FilterSpec::GetResourcePools | ( |  | ) | `[inline]`

Resource pools that must contain the virtual machine for the virtual machine to match the filter.

When clients pass a value of this class as a parameter, the field must contain identifiers for the resource type: `ResourcePool` . When methods return a value of this class as a result, the field will contain identifiers for the resource type: `ResourcePool` .

global::System.Collections.Generic.HashSet<string> vmware::vcenter::VMTypes::FilterSpec::GetVms | ( |  | ) | `[inline]`

Identifiers of virtual machines that can match the filter.

When clients pass a value of this class as a parameter, the field must contain identifiers for the resource type: `VirtualMachine` . When methods return a value of this class as a result, the field will contain identifiers for the resource type: `VirtualMachine` .

void vmware::vcenter::VMTypes::FilterSpec::SetClusters | ( | global::System.Collections.Generic.HashSet< string > | clusters | ) | `[inline]`

Clusters that must contain the virtual machine for the virtual machine to match the filter.

When clients pass a value of this class as a parameter, the field must contain identifiers for the resource type: `ClusterComputeResource` . When methods return a value of this class as a result, the field will contain identifiers for the resource type: `ClusterComputeResource` .

void vmware::vcenter::VMTypes::FilterSpec::SetDatacenters | ( | global::System.Collections.Generic.HashSet< string > | datacenters | ) | `[inline]`

Datacenters that must contain the virtual machine for the virtual machine to match the filter.

When clients pass a value of this class as a parameter, the field must contain identifiers for the resource type: `Datacenter` . When methods return a value of this class as a result, the field will contain identifiers for the resource type: `Datacenter` .

void vmware::vcenter::VMTypes::FilterSpec::SetFolders | ( | global::System.Collections.Generic.HashSet< string > | folders | ) | `[inline]`

Folders that must contain the virtual machine for the virtual machine to match the filter.

When clients pass a value of this class as a parameter, the field must contain identifiers for the resource type: `Folder` . When methods return a value of this class as a result, the field will contain identifiers for the resource type: `Folder` .

void vmware::vcenter::VMTypes::FilterSpec::SetHosts | ( | global::System.Collections.Generic.HashSet< string > | hosts | ) | `[inline]`

Hosts that must contain the virtual machine for the virtual machine to match the filter.

When clients pass a value of this class as a parameter, the field must contain identifiers for the resource type: `HostSystem` . When methods return a value of this class as a result, the field will contain identifiers for the resource type: `HostSystem` .

void vmware::vcenter::VMTypes::FilterSpec::SetNames | ( | global::System.Collections.Generic.HashSet< string > | names | ) | `[inline]`

Names that virtual machines must have to match the filter (see VM.Info.name ).

void vmware::vcenter::VMTypes::FilterSpec::SetPowerStates | ( | global::System.Collections.Generic.HashSet< vmware.vcenter.vm.PowerTypes.State > | powerStates | ) | `[inline]`

Power states that a virtual machine must be in to match the filter (see vm.Power.Info.state .

void vmware::vcenter::VMTypes::FilterSpec::SetResourcePools | ( | global::System.Collections.Generic.HashSet< string > | resourcePools | ) | `[inline]`

Resource pools that must contain the virtual machine for the virtual machine to match the filter.

When clients pass a value of this class as a parameter, the field must contain identifiers for the resource type: `ResourcePool` . When methods return a value of this class as a result, the field will contain identifiers for the resource type: `ResourcePool` .

void vmware::vcenter::VMTypes::FilterSpec::SetVms | ( | global::System.Collections.Generic.HashSet< string > | vms | ) | `[inline]`

Identifiers of virtual machines that can match the filter.

When clients pass a value of this class as a parameter, the field must contain identifiers for the resource type: `VirtualMachine` . When methods return a value of this class as a result, the field will contain identifiers for the resource type: `VirtualMachine` .

override string vmware::vcenter::VMTypes::FilterSpec::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- VMTypes.cs